## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Class JavaSupportType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.JavaSupportType

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class JavaSupportType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Java Support Type', and utility methods for working with them.

See Also:
  `SybaseasabasesqlmodelPackage.getJavaSupportType()`, Serialized Form

Field Summary
`static int` `JDK118` The 'JDK118' literal value.
`static JavaSupportType` `JDK118_LITERAL` The 'JDK118' literal object.
`static int` `JDK13` The 'JDK13' literal value.
`static JavaSupportType` `JDK13_LITERAL` The 'JDK13' literal object.
`static int` `OFF` The 'OFF' literal value.
`static JavaSupportType` `OFF_LITERAL` The 'OFF' literal object.
`static int` `ON` The 'ON' literal value.
`static JavaSupportType` `ON_LITERAL` The 'ON' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Java Support Type' enumerators.

Method Summary
`static JavaSupportType` `get(int value)` Returns the 'Java Support Type' literal with the specified integer value.
`static JavaSupportType` `get(java.lang.String literal)` Returns the 'Java Support Type' literal with the specified literal value.
`static JavaSupportType` `getByName(java.lang.String name)` Returns the 'Java Support Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OFF

    public static final int OFF

  The 'OFF' literal value.

  If the meaning of 'OFF' literal object isn't clear, there really should be more of a description here...

  See Also:
    `OFF_LITERAL`, Constant Field Values

### ON

    public static final int ON

  The 'ON' literal value.

  If the meaning of 'ON' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ON_LITERAL`, Constant Field Values

### JDK13

    public static final int JDK13

  The 'JDK13' literal value.

  If the meaning of 'JDK13' literal object isn't clear, there really should be more of a description here...

  See Also:
    `JDK13_LITERAL`, Constant Field Values

### JDK118

    public static final int JDK118

  The 'JDK118' literal value.

  If the meaning of 'JDK118' literal object isn't clear, there really should be more of a description here...

  See Also:
    `JDK118_LITERAL`, Constant Field Values

### OFF_LITERAL

    public static final JavaSupportType OFF_LITERAL

  The 'OFF' literal object.

  See Also:
    `OFF`

### ON_LITERAL

    public static final JavaSupportType ON_LITERAL

  The 'ON' literal object.

  See Also:
    `ON`

### JDK13_LITERAL

    public static final JavaSupportType JDK13_LITERAL

  The 'JDK13' literal object.

  See Also:
    `JDK13`

### JDK118_LITERAL

    public static final JavaSupportType JDK118_LITERAL

  The 'JDK118' literal object.

  See Also:
    `JDK118`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Java Support Type' enumerators.

Method Detail

### get

    public static JavaSupportType get(java.lang.String literal)

  Returns the 'Java Support Type' literal with the specified literal value.

### getByName

    public static JavaSupportType getByName(java.lang.String name)

  Returns the 'Java Support Type' literal with the specified name.

### get

    public static JavaSupportType get(int value)

  Returns the 'Java Support Type' literal with the specified integer value.